/*
Copyright 2021 HAProxy Technologies

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

package options

type disableUnProcessed struct{}

func (u disableUnProcessed) Set(p *Parser) error {
	p.DisableUnProcessed = true
	return nil
}

// DisableUnProcessed sets flag to disable catching lines that have no parser and to return error
var DisableUnProcessed = disableUnProcessed{} //nolint:gochecknoglobals
